package com.ruoyi.common.utils.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;

import java.util.ArrayList;
import java.util.List;

/**
 * 导入监听器-数据转化
// * @param <T> 目标对象类型
 */
public class TranslateImportListener<T, R> extends AnalysisEventListener<T> {

    private final DataConverter<T, R> converter;

    public TranslateImportListener(DataConverter<T, R> dataConverter){
        this.converter = dataConverter;
    }

    private final List<R> dataList = new ArrayList<>();

    public List<R> getDataList(){
        return dataList;
    }

    @Override
    public void invoke(T t, AnalysisContext analysisContext) {
        R result = converter.getR(t);

        dataList.add(result);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

}
