package com.ruoyi.project.VRdemo.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 论文对象 vr_thesis
 * 
 * @author ruoyi
 * @date 2024-06-23
 */
public class Thesis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 作者姓名 */
    @Excel(name = "作者姓名")
    private String name;

    /** 指导教师 */
    @Excel(name = "指导教师")
    private String teacher;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 题名 */
    @Excel(name = "题名")
    private String title;

    /** 关键词 */
    @Excel(name = "关键词")
    private String keyword;

    /** 答辩时间 */
    @JsonFormat(pattern = "yyyy")
    @Excel(name = "答辩时间")
    private Date replyTime;

    /** 学位 */
    @Excel(name = "学位")
    private String degree;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTeacher(String teacher) 
    {
        this.teacher = teacher;
    }

    public String getTeacher() 
    {
        return teacher;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setKeyword(String keyword) 
    {
        this.keyword = keyword;
    }

    public String getKeyword() 
    {
        return keyword;
    }
    public void setReplyTime(Date replyTime)
    {
        this.replyTime = replyTime;
    }

    public Date getReplyTime()
    {
        return replyTime;
    }
    public void setDegree(String degree) 
    {
        this.degree = degree;
    }

    public String getDegree() 
    {
        return degree;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("teacher", getTeacher())
            .append("major", getMajor())
            .append("title", getTitle())
            .append("keyword", getKeyword())
            .append("replyTime", getReplyTime())
            .append("degree", getDegree())
            .toString();
    }
}
