package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Consultation;
import org.apache.ibatis.annotations.Param;

/**
 * 博雅集南洋资讯检索Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public interface ConsultationMapper {
    
    /**
     * 查询博雅集南洋资讯检索
     *
     * @param id 博雅集南洋资讯检索主键
     * @return 博雅集南洋资讯检索
     */
    Consultation selectConsultationById(Long id);

    /**
     * 根据标题查询咨询记录
     */
    Consultation selectConsultationByTitle(@Param("chineseName") String chineseName, @Param("englishName") String englishName);

    /**
     * 查询博雅集南洋资讯检索列表
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 博雅集南洋资讯检索集合
     */
    List<Consultation> selectConsultationList(Consultation consultation);

    /**
     * 新增博雅集南洋资讯检索
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 结果
     */
    int insertConsultation(Consultation consultation);

    /**
     * 批量新增博雅集南洋资讯检索
     */
    int insertConsultationDataList(List<Consultation> dataList);

    /**
     * 修改博雅集南洋资讯检索
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 结果
     */
    int updateConsultation(Consultation consultation);

    /**
     * 删除博雅集南洋资讯检索
     *
     * @param id 博雅集南洋资讯检索主键
     * @return 结果
     */
    int deleteConsultationById(Long id);

    /**
     * 批量删除博雅集南洋资讯检索
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteConsultationByIds(Long[] ids);

}
