package com.ruoyi.project.VRdemo.mapper;

import java.util.List;
import com.ruoyi.project.VRdemo.domain.Institution;
import org.apache.ibatis.annotations.Param;

/**
 * 博雅集东南亚研究机构Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public interface InstitutionMapper 
{

    /**
     * 查询博雅集东南亚研究机构
     * 
     * @param id 博雅集东南亚研究机构主键
     * @return 博雅集东南亚研究机构
     */
    Institution selectInstitutionById(Long id);

    /**
     * 根据标题查询博雅集东南亚研究机构
     */
    Institution selectInstitutionByTitle(@Param("chineseName") String chineseName, @Param("englishName") String englishName);

    /**
     * 查询博雅集东南亚研究机构列表
     * 
     * @param institution 博雅集东南亚研究机构
     * @return 博雅集东南亚研究机构集合
     */
    List<Institution> selectInstitutionList(Institution institution);

    /**
     * 新增博雅集东南亚研究机构
     * 
     * @param institution 博雅集东南亚研究机构
     * @return 结果
     */
    int insertInstitution(Institution institution);

    /**
     * 批量插入博雅集东南亚研究机构
     */
    int insertInstitutionDataList(List<Institution> dataList);

    /**
     * 修改博雅集东南亚研究机构
     * 
     * @param institution 博雅集东南亚研究机构
     * @return 结果
     */
    int updateInstitution(Institution institution);

    /**
     * 删除博雅集东南亚研究机构
     * 
     * @param id 博雅集东南亚研究机构主键
     * @return 结果
     */
    int deleteInstitutionById(Long id);

    /**
     * 批量删除博雅集东南亚研究机构
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteInstitutionByIds(Long[] ids);

}
