package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Press;

/**
 * pressMapper接口
 *
 * @author ruoyi
 * @date 2024-01-19
 */
public interface PressMapper {

    /**
     * 查询press
     *
     * @param pressId press主键
     * @return press
     */
    Press selectPressByPressId(Long pressId);

    /**
     * 根据中文名或英文名查询press
     *
     * @return press
     */
    Press selectPressByTitle(String title);

    /**
     * 查询press列表
     *
     * @param press press
     * @return press集合
     */
    List<Press> selectPressList(Press press);

    /**
     * 新增press
     *
     * @param press press
     * @return 结果
     */
    int insertPress(Press press);

    /**
     * 批量新增press
     *
     * @param dataList press集合
     * @return 结果
     */
    int insertPressDataList(List<Press> dataList);

    /**
     * 修改press
     *
     * @param press press
     * @return 结果
     */
    int updatePress(Press press);

    /**
     * 删除press
     *
     * @param pressId press主键
     * @return 结果
     */
    int deletePressByPressId(Long pressId);

    /**
     * 批量删除press
     *
     * @param pressIds 需要删除的数据主键集合
     * @return 结果
     */
    int deletePressByPressIds(Long[] pressIds);

}
