package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Press;

/**
 * pressService接口
 *
 * @author ruoyi
 * @date 2024-01-19
 */
public interface IPressService {

    /**
     * 查询press
     *
     * @param pressId press主键
     * @return press
     */
    Press selectPressByPressId(Long pressId);

    /**
     * 查询press列表
     *
     * @param press press
     * @return press集合
     */
    List<Press> selectPressList(Press press);

    /**
     * 新增press
     *
     * @param press press
     * @return 结果
     */
    int insertPress(Press press);

    /**
     * 导入数据
     */
    String importData(List<Press> dataList, boolean updateSupport);

    /**
     * 修改press
     *
     * @param press press
     * @return 结果
     */
    int updatePress(Press press);

    /**
     * 批量删除press
     *
     * @param pressIds 需要删除的press主键集合
     * @return 结果
     */
    int deletePressByPressIds(Long[] pressIds);

    /**
     * 删除press信息
     *
     * @param pressId press主键
     * @return 结果
     */
    int deletePressByPressId(Long pressId);

}
