package com.ruoyi.project.VRdemo.service;

import com.ruoyi.project.VRdemo.domain.StudyData;
import com.ruoyi.project.VRdemo.domain.imData.StudyImData;
import com.ruoyi.project.VRdemo.domain.vo.Catalog;
import com.ruoyi.project.VRdemo.domain.vo.StudyDataVo;

import java.util.List;

public interface IStudyDataService {
    /**
     * 查询study
     *
     * @param id study主键
     * @return study
     */
    public StudyData selectStudyDataById(Long id);

    /**
     * 查询study列表
     *
     * @param studyData study
     * @return study集合
     */
    public List<StudyData> selectStudyDataList(StudyData studyData);
    /**
     * 校验用户名称是否唯一
     *
     * @param studyData 用户信息
     * @return 结果
     */
    public boolean checkUserNameUnique(StudyData studyData);
    /**
     * 新增study
     *
     * @param studyData study
     * @return 结果
     */
    public int insertStudyData(StudyData studyData);

    /**
     * 修改study
     *
     * @param studyData study
     * @return 结果
     */
    public int updateStudyData(StudyData studyData);

    /**
     * 批量删除study
     *
     * @param ids 需要删除的study主键集合
     * @return 结果
     */
    public int deleteStudyDataByIds(Long[] ids);

    /**
     * 删除study信息
     *
     * @param id study主键
     * @return 结果
     */
    public int deleteStudyDataById(Long id);

    public List<StudyData> selectStudyDataListVo(StudyDataVo studyDataVo);

    public List<StudyData> selectStudyDataListVoAll(StudyDataVo studyDataVo);

    public List<Catalog> selectCatalog(Catalog catalog);
    boolean deleteFile(Long ids);

    /**
     * 导入用户数据
     *
     * @param studyImData 用户数据列表
     * @param UpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @return 结果
     */
    public String importStudy(List<StudyImData> studyImData, Boolean UpdateSupport);
}
