package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Thesis;

/**
 * 论文Service接口
 * 
 * @author ruoyi
 * @date 2024-06-23
 */
public interface IThesisService 
{

    /**
     * 查询论文
     * 
     * @param id 论文主键
     * @return 论文
     */
    Thesis selectThesisById(Long id);

    /**
     * 查询论文列表
     * 
     * @param thesis 论文
     * @return 论文集合
     */
    List<Thesis> selectThesisList(Thesis thesis);

    /**
     * 新增论文
     * 
     * @param thesis 论文
     * @return 结果
     */
    int insertThesis(Thesis thesis);

    /**
     * 导入数据
     */
    String importData(List<Thesis> dataList, boolean updateSupport);

    /**
     * 修改论文
     * 
     * @param thesis 论文
     * @return 结果
     */
    int updateThesis(Thesis thesis);

    /**
     * 批量删除论文
     * 
     * @param ids 需要删除的论文主键集合
     * @return 结果
     */
    int deleteThesisByIds(Long[] ids);

    /**
     * 删除论文信息
     * 
     * @param id 论文主键
     * @return 结果
     */
    int deleteThesisById(Long id);

}
